Method: projects.video.export

启动批量处理,计算视频并将结果写入多个目标位置之一。

HTTP 请求

POST https://earthengine.googleapis.com/v1/{project=projects/*}/video:export

网址采用 gRPC 转码语法。

路径参数

参数
project

string

Google Cloud Platform 项目的项目 ID 或项目编号,应将其视为此请求的服务使用方。格式为 projects/{project-id}

必须对指定的资源 project 具有以下 IAM 权限才能进行授权:

  • earthengine.exports.create

请求正文

请求正文中包含结构如下的数据:

JSON 表示法
{
  "expression": {
    object (Expression)
  },
  "description": string,
  "videoOptions": {
    object (VideoOptions)
  },
  "fileExportOptions": {
    object (VideoFileExportOptions)
  },
  "requestId": string,
  "workloadTag": string,
  "priority": integer
}
字段
expression

object (Expression)

一个表达式,用于计算和导出视频(以图片集的形式表示)。

description

string

任务的人类可读名称。

videoOptions

object (VideoOptions)

用于描述要生成的视频的基本选项。

fileExportOptions

object (VideoFileExportOptions)

用于指定视频的导出位置和导出形式的选项。

requestId

string

用于检测重复请求的唯一字符串。如果同一用户使用相同的非空 requestId 发出多个请求,则只有其中一个请求可以成功启动长时间运行的操作。requestId 可以包含字符 a..z、A..Z、0-9 或 '-'。requestId 的长度最多为 60 个字符。

workloadTag

string

用户提供的用于跟踪此计算的标签。

priority

integer

可选。导出任务在项目中的优先级。优先级较高的任务会更早安排。必须是介于 0 和 9999 之间的整数。如果未设置,则默认为 100。

响应正文

如果成功,则响应正文包含一个 Operation 实例。

授权范围

需要以下 OAuth 范围之一:

  • https://www.googleapis.com/auth/earthengine
  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/devstorage.full_control

如需了解详情,请参阅 OAuth 2.0 Overview

VideoFileExportOptions

用于将视频导出为 Earth Engine 外部文件的选项。

JSON 表示法
{
  "fileFormat": enum (VideoFileFormat),

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "driveDestination": {
    object (DriveDestination)
  },
  "cloudStorageDestination": {
    object (CloudStorageDestination)
  }
  // End of mutually exclusive fields.
}
字段
fileFormat

enum (VideoFileFormat)

用于导出视频的文件格式。目前仅支持 MP4。

用于写入结果的位置。以下是互斥字段的列表。在响应中,最多只能设置其中一个字段:
driveDestination

object (DriveDestination)

如果指定,则配置导出到 Google 云端硬盘。

cloudStorageDestination

object (CloudStorageDestination)

如果指定,则配置导出到 Google Cloud Storage。

互斥字段结束。